#!/bin/sh

# TF multi part manager by ilov3d
# http://magxcn.com

# any further modify should keep info above.

mypath=${0%/*}

showRadio "PartEditor" "by fay" "Разбить карту" "Переместить скины" "Доб./Удал. автозагрузку" "О программе/Помощь"
ret=$?
[ $ret -eq 0 ] && exit

case $ret in
	1)
		$mypath/info
		;;
	2)
		mkdir -p /mmc/ext3/skins

		if [ ! -d /mmc/ext3/skins ]
		then
			showQ "" "Пожалуйста измените разделы и смонтируйте их перед использованием!" 2
			exit
		fi

		showQ "Перемещение скинов" "Убедитесь что ваш текущий скин это встроенный скин, иначе перемещение может привести к плохим последствиям, продолжить?" 1
		[ $? -ne 1 ] && exit

		SKIN_PATH=/ezxlocal/download/mystuff/skins
		cd ${SKIN_PATH}
		for i in `ls -1F | grep /$`
		do
			filename="${i%/}"
			chmfile="/ezxlocal/download/appwrite/setuptheme/${filename}.chm"
			if [ -f "${SKIN_PATH}/${filename}/${filename}.chm" ]
			then
				cat "${SKIN_PATH}/${filename}/${filename}.chm" | sed 's,/mmc/mmca1/skins,/mmc/ext3/skins,g' | sed "s,${SKIN_PATH},/mmc/ext3/skins,g" > "$chmfile"
			else
				DEF_CHM_FILE=`grep "^CurrentTheme = " "/usr/data_resource/theme/ezx_theme.cfg" | awk '{ print $3 }'`
				cat $DEF_CHM_FILE | sed "s@ThemeName = .*@ThemeName = $filename@" | sed "s@Skin = .*@Skin = ${SKIN_PATH}/${filename}@" > "$chmfile"
			fi
			mv $i /mmc/ext3/skins/
		done

		showQ "Перемещение скинов" "Закончено" 2
		;;
	3)
		if [ ! -f /ezxlocal/parted ]
		then
			cp $mypath/info_load.sh /ezxlocal/medl/
			echo >> /ezxlocal/medl/medld.conf
			echo "/ezxlocal/medl/info_load.sh" >> /ezxlocal/medl/medld.conf
			touch /ezxlocal/parted
			showQ "" "Добавлено в автозагрузку" 2
		else
			grep -q '/ezxlocal/medl/info_load.sh' /ezxlocal/medl/medld.conf && sed /info_load/d /ezxlocal/medl/medld.conf >/ezxlocal/medl/med.cfg
mv -f /ezxlocal/medl/med.cfg /ezxlocal/medl/medld.conf
			rm -f /ezxlocal/parted
			rm -f /ezxlocal/medl/info_load.sh
			showQ "" "Удалено из автозагрузки" 2
		fi
		;;
	4)
		showQ "PartEditor" "Программа разобьет флешку на 3 раздела, второй раздел это свап(виртуальная память), третий раздел для хранения данных типа скины и прочее. Используя MGX File Manager, myfont.ttf будет скопирован(или самим надо скопировать, тут не понял:прим. переводчика) в /mmc/ext3/font, скины также будут скопированы на ext3 раздел. Это позволит избежать зависание телефона при подключении его к компу в режиме карты памяти, если у вас свап и скины на флехе. Made in China(c), ilove3d" 2
		;;
	*)
		;;
esac
